## btrfs-progs 4.7.3

=== debian/changelog ===
btrfs-progs (4.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 22 Sep 2016 14:48:05 +0100

btrfs-progs (4.7.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #836778)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 08 Sep 2016 12:27:38 +0100

btrfs-progs (4.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 26 Aug 2016 15:00:46 +0100

btrfs-progs (4.7-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 11 Aug 2016 12:52:07 +0100

btrfs-progs (4.6.1-1) unstable; urgency=high

  [ Dimitri John Ledkov ]
  * New upstream release
  * Update debian/copyright as package is mostly GPL-2 only, not GPL-2+
    (Closes: #824896)
  * Provide upstream changelog, thanks to Nicholas D Steeves (Closes:
    #824894)
  * Set Vcs-* control headers pointing at dgit git repositories
  * Add udev build-dependency, to install upstream btrfs-dm udev rules
  * Ship libgcc_s into the initrd, for scrub to work because it uses
    pthread_cancel. Thanks Guilhem. (Closes: #830883)

  [ Nicholas D Steeves ]
  * debian/watch: add mangling rules to prefer non-rcN versions; add
    cryptographic signature verification of tarball (Closes: #827778)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 Jul 2016 13:50:21 +0100

btrfs-progs (4.5.2-1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Thanks for NMU of package rename.
  * New upstream release 4.5.2.
  * Upload using dgit.
  * Source-only upload.
  * btrfs-convert should not be included in the initramfs, but should be
    compiled. Using btrfs-convert is not a trivial operation, and
    especially not from a minimal shell. Also it is known to fail, and for
    a sophisticated user it is trivial to include it in the
    initramfs. Thus won't fix Closes: #801192
  * No sponsorship required Closes: #823474
  * Add Provides btrfs-tools-udeb to the -progs-udeb package.
  * Enable verbose build.

  [ Ben Hutchings ]
  * Show only errors from boot-time "btrfs scan" if "quiet" is
    used. Closes: #812722

 -- Dimitri John Ledkov <xnox@debian.org>  Tue, 10 May 2016 09:59:51 +0100

btrfs-progs (4.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Rename package to btrfs-progs (Closes: #780081)
  * Update standards version to 3.9.7 (no changes needed).
  * debian/control: Add "Breaks" per Gianfranco Costamagna's suggestion
  * Change lintian override to reflect package rename
  * Switch from using postinst and postrm to using triggers
    per Christian Seiler's recommendation.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 22 Apr 2016 19:41:30 -0400

btrfs-tools (4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 19 Jan 2016 19:03:41 +0000

btrfs-tools (4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sat, 07 Nov 2015 11:27:13 +0000

btrfs-tools (4.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sat, 24 Oct 2015 00:09:28 +0100

btrfs-tools (4.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 30 Aug 2015 00:18:54 +0100

btrfs-tools (4.0-2) unstable; urgency=medium

  * Adjust initramfs hooks and udev rules for move of all binaries to
    /bin. (Closes: #784234)

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Mon, 04 May 2015 18:51:07 +0100

btrfs-tools (4.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches.
  * Experiment with dropping udev rules, in favour of systemd-udev builtin
    integration. (Closes: #772744)
  * Move all binaries to /bin (Closes: #770806)
  * Switch to autoconf based build system.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 18 Jan 2015 00:14:20 +0000

btrfs-tools (3.17-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add 0002-Fix-linking-with-libbtrfs.patch from upstream, to properly
    export all the previously exported API (Closes: #768746)
  * Add 0003-Make-headers-C++-compatible.patch from upstream, making the
    new headers C++-compatible.

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 22 Nov 2014 14:52:06 +0100

btrfs-tools (3.17-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Thu, 23 Oct 2014 22:04:07 +0100

btrfs-tools (3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches (not needed, or upstremed), but unaligned memory access.
  * Update upstream location in uscan, to pull release by kdave.
  * Use upstream fsck.btrfs script.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 11 Oct 2014 16:54:05 +0100

btrfs-tools (3.16-1) unstable; urgency=medium

  * New upstream release.
  * Add asciidoc & xmlto build dependencies.
  * Disable test-suites for now, should be run as autopkgtests.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 21 Sep 2014 02:05:14 +0100

btrfs-tools (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch to git-dpm.
  * Rebase and cleanup patches.

 -- Dimitri John Ledkov <xnox@debian.org>  Sat, 19 Apr 2014 12:12:11 +0100

btrfs-tools (3.12-1) unstable; urgency=low

  [ Julien Muchembled ]
  * New upstream release. (Closes: #732075, #732533)
  * Drop patches merged upstream:
    - 07-manpage2.patch
    - 10-soname.patch
    - Btrfs-progs-fix-wrong-arg-sb_bytenr-for-btrfs_scan_fs_devices.patch
  * Refresh patches. (Closes: #719072)

  [ Dimitri John Ledkov ]
  * Add watch file.
  * Bump standards version to 3.9.5.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 01 Jan 2014 01:52:43 +0000

btrfs-tools (0.19+20130705-3) unstable; urgency=low

  * Import patch by Shilong Wang to resolve btrfs-convert (Closes:
    #724265) (LP: #1228302)


