=== debian/control ===
Source: btrfs-progs
Section: admin
Priority: optional
Maintainer: Dimitri John Ledkov <xnox@debian.org>
Build-Depends: debhelper (>= 9),
               e2fslibs-dev,
               pkg-config,
               libacl1-dev,
               libblkid-dev,
               liblzo2-dev,
               uuid-dev,
	       udev,
               zlib1g-dev,
               asciidoc,
               xmlto,
Standards-Version: 3.9.8
Homepage: http://btrfs.wiki.kernel.org/
Vcs-Browser: https://browse.dgit.debian.org/btrfs-progs.git
Vcs-Git: https://git.dgit.debian.org/btrfs-progs

Package: btrfs-progs
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: btrfs-tools (<< 4.4.1-1)
Breaks: btrfs-tools (<< 4.4.1-1)
Description: Checksumming Copy on Write Filesystem utilities
 Btrfs is a new copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains utilities (mkfs, fsck) used to work with btrfs
 and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.

Package: btrfs-tools
Section: oldlibs
Architecture: linux-any
Depends: btrfs-progs, ${misc:Depends}, ${shlibs:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: btrfs-progs-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: btrfs-tools-udeb
Description: Checksumming Copy on Write Filesystem utilities (udeb)

Package: btrfs-progs-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: btrfs-progs (= ${binary:Version}), ${misc:Depends}
Replaces: btrfs-tools-dbg (<< 4.4.1-1)
Breaks: btrfs-tools-dbg (<< 4.4.1-1)
Description: Checksumming Copy on Write Filesystem utilities (debug)
 Btrfs is a new copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains the debugging symbols.

Package: btrfs-tools-dbg
Section: oldlibs
Priority: extra
Architecture: linux-any
Depends: btrfs-progs-dbg, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
