## btrfs-progs 4.9.1

=== debian/changelog ===
btrfs-progs (4.9.1-1ubuntu1.1) zesty; urgency=medium

  * Cherry-pick follow-up fix from upstream (LP: #1689621):
    - 0003-btrfs-progs-send-fail-on-first-ENODATA-only.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 09 May 2017 15:18:10 -0400

btrfs-progs (4.9.1-1ubuntu1) zesty; urgency=medium

  * Fix btrfs send/receive:
    - 0001-btrfs-progs-fix-btrfs-send-receive-with-e-flag.patch
    - 0002-tests-use-receive-e-to-terminate-on-end-marker.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 05 Apr 2017 13:14:59 -0400

btrfs-progs (4.9.1-1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * New upstream release Closes: #849353, #817806, #854915, #845473
  * Use dh addon for bash completion (--with bash-completion)
  * Suggest duperemove Closes: #703169

  [ Hideki Yamane ]
  * debian/control
    - add Build-Depends: bash-completion to use dh_bash-completion
  * debian/rules
    - call dh_bash-completion
  * add debian/btrfs-progs.bash-completion Closes: #840302, #800790.

  [ Helmut Grohne ]
  * Fix FTCBFS: cross.patch: Indirect pkg-config invocations through
    $PKG_CONFIG and autoreconf (Closes: #845816)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 13 Feb 2017 11:45:42 +0000
