=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: btrfs-progs
 Section: admin
 Priority: optional
-Maintainer: Dimitri John Ledkov <xnox@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dimitri John Ledkov <xnox@debian.org>
 Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
                e2fslibs-dev,
                pkg-config,
                libacl1-dev,
@@ -13,6 +15,7 @@
                zlib1g-dev,
                asciidoc,
                xmlto,
+               bash-completion,
 Standards-Version: 3.9.8
 Homepage: http://btrfs.wiki.kernel.org/
 Vcs-Browser: https://browse.dgit.debian.org/btrfs-progs.git
@@ -23,6 +26,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: btrfs-tools (<< 4.4.1-1)
 Breaks: btrfs-tools (<< 4.4.1-1)
+Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
  Btrfs is a new copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
