## btrfs-progs 4.15.1

=== debian/changelog ===
btrfs-progs (4.15.1-1build1) bionic; urgency=medium

  * No change rebuild against libzstd1-udeb.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 12 Mar 2018 23:04:27 +0000

btrfs-progs (4.15.1-1) unstable; urgency=medium

  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 19 Feb 2018 15:50:12 +0000

btrfs-progs (4.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Add libzstd-dev build dependency.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 11 Jan 2018 15:43:20 +0000

btrfs-progs (4.13.3-1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * New upstream release.
  * Add breaks against incompatible btrbk. Closes: #872836
  * Use noawait trigger variant, updating initramfs is optional, and
    doesn't relly matter when it happens, as long as it does, eventually.

  [ Nicholas D Steeves ]
  * Add copyright for tests/sha.h tests/sha224-256.c tests/sha-private.h
  * Drop dh-autoreconf from build-depends, because it's automatic now.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 18 Oct 2017 13:15:37 +0100
