=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: btrfs-progs
 Section: admin
 Priority: optional
-Maintainer: Dimitri John Ledkov <xnox@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dimitri John Ledkov <xnox@debian.org>
 Build-Depends: debhelper (>= 10),
-               dh-autoreconf,
                e2fslibs-dev,
                pkg-config,
                libacl1-dev,
                libblkid-dev,
                liblzo2-dev,
+               libzstd-dev,
                uuid-dev,
                udev,
                zlib1g-dev,
@@ -24,7 +25,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: btrfs-tools (<< 4.4.1-1)
-Breaks: btrfs-tools (<< 4.4.1-1)
+Breaks: btrfs-tools (<< 4.4.1-1), btrbk (<= 0.25.0)
 Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
  Btrfs is a new copy on write filesystem for Linux aimed at implementing
