=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,13 @@
 CFLAGS := $(patsubst -O2,-Os,$(CFLAGS))
 
 %:
-	dh ${@} --parallel
+	dh ${@} --with bash-completion
+
+override_dh_autoreconf:
+	dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
-	dh_auto_configure -- --bindir=/bin
+	dh_auto_configure -- --bindir=/bin --disable-convert
 
 override_dh_auto_build:
 	dh_auto_build -- V=1
@@ -32,4 +35,9 @@
 override_dh_auto_test:
 
 override_dh_strip:
-	dh_strip --dbg-package=btrfs-progs-dbg
+	dh_strip --dbgsym-migration='btrfs-progs (<< 4.11.1+dfsg-1~)'
+
+override_dh_auto_clean:
+	if test -f Makefile.inc; then \
+		dh_auto_clean; \
+	fi
