## btrfs-progs 4.16.1

=== debian/changelog ===
btrfs-progs (4.16.1-2ubuntu1) cosmic; urgency=medium

  * Add Provides: btrfs-tools, such that curtin can continue to install
    btrfs-tools.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 23 May 2018 12:42:19 +0100

btrfs-progs (4.16.1-2) unstable; urgency=medium

  * Do not copy_exec btrfs-zero-log into initramfs, superseeded by `btrfs
    rescue zero-log` sub-command. Closes: #898720, #898719.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 15 May 2018 14:15:27 +0100

btrfs-progs (4.16.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop transitional btrfs-tools package.
  * Drop cross.patch, similar change done upstream.
  * Package libbtrfs, libbtrfsutil, and python bindings.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 May 2018 14:17:03 -0700

btrfs-progs (4.15.1-2) unstable; urgency=medium

  * If libzstd is provided in both deb & udeb variants (such as Ubuntu
    bionic) enable zstd support. If libzstd is not provided with both deb
    & udeb variants (such as current Debian unstable) disable zstd
    support. If and when libzstd is provided in both deb & udeb variants,
    a binNMU of this package is sufficient to enable zstd support. Closes:
    #886968
  * Drop obsolete lintian overrides.
  * Add alternative email address as uploader.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 21 Apr 2018 11:59:50 +0100
