=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Dimitri John Ledkov <xnox@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Dimitri John Ledkov <xnox@ubuntu.com>
+Build-Depends: debhelper (>= 11),
                e2fslibs-dev,
                pkg-config,
                libacl1-dev,
@@ -16,7 +17,10 @@
                asciidoc,
                xmlto,
                bash-completion,
-Standards-Version: 3.9.8
+	       python3-dev,
+	       python3-setuptools,
+	       dh-python,
+Standards-Version: 4.1.4
 Homepage: http://btrfs.wiki.kernel.org/
 Vcs-Browser: https://browse.dgit.debian.org/btrfs-progs.git
 Vcs-Git: https://git.dgit.debian.org/btrfs-progs
@@ -26,6 +30,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: btrfs-tools (<< 4.4.1-1)
 Breaks: btrfs-tools (<< 4.4.1-1), btrbk (<= 0.25.0)
+Provides: btrfs-tools
 Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
  Btrfs is a new copy on write filesystem for Linux aimed at implementing
@@ -35,12 +40,64 @@
  This package contains utilities (mkfs, fsck) used to work with btrfs
  and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.
 
-Package: btrfs-tools
-Section: oldlibs
+Package: libbtrfs0
 Architecture: linux-any
-Depends: btrfs-progs, ${misc:Depends}, ${shlibs:Depends}
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: btrfs-progs (<< 4.16.1-1)
+Breaks: btrfs-progs (<< 4.16.1-1)
+Description: Checksumming Copy on Write Filesystem utilities (runtime library)
+ Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ advanced features while focusing on fault tolerance, repair and easy
+ administration.
+ .
+ This package contains userspace shared code library libbtrfs.
+
+Package: libbtrfs-dev
+Architecture: linux-any
+Section: libdevel
+Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0 (= ${binary:Version})
+Replaces: btrfs-progs (<< 4.16.1-1)
+Breaks: btrfs-progs (<< 4.16.1-1)
+Description: Checksumming Copy on Write Filesystem utilities (development headers)
+ Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ advanced features while focusing on fault tolerance, repair and easy
+ administration.
+ .
+ This package contains development headers for the libbtrfs library.
+
+Package: libbtrfsutil1
+Architecture: linux-any
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Checksumming Copy on Write Filesystem utilities (runtime util library)
+ Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ advanced features while focusing on fault tolerance, repair and easy
+ administration.
+ .
+ This package contains userspace shared code library libbtrfsutil.
+
+Package: libbtrfsutil-dev
+Architecture: linux-any
+Section: libdevel
+Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1 (= ${binary:Version})
+Description: Checksumming Copy on Write Filesystem utilities (util development headers)
+ Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ advanced features while focusing on fault tolerance, repair and easy
+ administration.
+ .
+ This package contains development headers for the libbtrfsutil library.
+
+Package: python3-btrfsutil
+Architecture: linux-any
+Section: python
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Description: Checksumming Copy on Write Filesystem utilities (python3 bindings)
+ Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ advanced features while focusing on fault tolerance, repair and easy
+ administration.
+ .
+ This package contains python3 bindings.
 
 Package: btrfs-progs-udeb
 Package-Type: udeb
