## btrfs-progs 4.20.1

=== debian/changelog ===
btrfs-progs (4.20.1-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Add minimum version of "1.3.8" to libzstd-dev's Build-Depends, because
    no one is testing btrfs+zstd with stretch's old 1.1.2.  Eg: Without
    this the package does not benefit from users' experience with
    buster/testing, and also because Facebook and SuSE are QAing with a
    newer libzstd.
    - Note that zstd did not have a stable "advanced API" eg: for
      multithreading until v1.3.8.
    - This will pull in libzstd-dev from stretch-backports.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 22 Feb 2019 00:32:54 -0700

btrfs-progs (4.20.1-2) unstable; urgency=medium

  * Fix btrfs send of snapshots stored in /. Closes: #920886.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 09 Feb 2019 13:43:54 +0000

btrfs-progs (4.20.1-1) unstable; urgency=medium

  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 26 Jan 2019 00:34:29 +0000

btrfs-progs (4.19.1-2) unstable; urgency=medium

  * Rebuild with libzstd support on.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 11 Jan 2019 11:26:50 +0000

btrfs-progs (4.19.1-1) unstable; urgency=medium

  * New upstream release.
  * Add btrfs-tools provides, too many things still the universal name.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 11 Dec 2018 10:31:04 +1100

btrfs-progs (4.17-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Relax debhelper Build-Depends to 11~ to allow backporting.
  * Restore btrfs-tools transitional package.  This is needed for the
    following packages on stretch: xen-tools, schroot, lxc,
    linaro-image-tools, kvpm, fsarchiver, and libguestfs0.
  * Add Breaks snapper (<< 0.5.4-4~).  Needed because upstream
    btrfs-progs-4.16.1 changed some library names and locations.
    See Bug #900314 for more information.
  * Remove debian/source/options, because this source option forces
    regeneration of a new orig.tarball, when the existing one in the
    archive must be used for backports.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 01 Sep 2018 14:59:26 -0400

btrfs-progs (4.17-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Jul 2018 14:31:22 +0100
