=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: btrfs-progs
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dimitri John Ledkov <xnox@debian.org>
+Maintainer: Dimitri John Ledkov <xnox@debian.org>
 Uploaders: Dimitri John Ledkov <xnox@ubuntu.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 11~),
                e2fslibs-dev,
                pkg-config,
                libacl1-dev,
                libblkid-dev,
                liblzo2-dev,
-               libzstd-dev,
+               libzstd-dev (>= 1.3.8),
                uuid-dev,
                udev,
                zlib1g-dev,
@@ -20,7 +19,7 @@
 	       python3-dev,
 	       python3-setuptools,
 	       dh-python,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://btrfs.wiki.kernel.org/
 Vcs-Browser: https://browse.dgit.debian.org/btrfs-progs.git
 Vcs-Git: https://git.dgit.debian.org/btrfs-progs
@@ -30,6 +29,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: btrfs-tools (<< 4.4.1-1)
 Breaks: btrfs-tools (<< 4.4.1-1), btrbk (<= 0.25.0)
+      , snapper (<< 0.5.4-4~)
 Provides: btrfs-tools
 Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
@@ -106,3 +106,10 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: btrfs-tools-udeb
 Description: Checksumming Copy on Write Filesystem utilities (udeb)
+
+Package: btrfs-tools
+Section: oldlibs
+Architecture: linux-any
+Depends: btrfs-progs, ${misc:Depends}, ${shlibs:Depends}
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
