## btrfs-progs 4.20.1.1

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Dimitri John Ledkov <xnox@debian.org>
 Uploaders: Dimitri John Ledkov <xnox@ubuntu.com>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 11),
                e2fslibs-dev,
                pkg-config,
                libacl1-dev,
                libblkid-dev,
                liblzo2-dev,
-               libzstd-dev (>= 1.3.8),
+               libzstd-dev,
                uuid-dev,
                udev,
                zlib1g-dev,
@@ -29,7 +29,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: btrfs-tools (<< 4.4.1-1)
 Breaks: btrfs-tools (<< 4.4.1-1), btrbk (<= 0.25.0)
-      , snapper (<< 0.5.4-4~)
 Provides: btrfs-tools
 Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
@@ -106,10 +105,3 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: btrfs-tools-udeb
 Description: Checksumming Copy on Write Filesystem utilities (udeb)
-
-Package: btrfs-tools
-Section: oldlibs
-Architecture: linux-any
-Depends: btrfs-progs, ${misc:Depends}, ${shlibs:Depends}
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
