## btrfs-progs 5.2.1

=== debian/changelog ===
btrfs-progs (5.2.1-1ubuntu1) eoan; urgency=medium

  * Fix ftbfs due to asciidoctor removing docbook45 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Sep 2019 17:46:19 +0100

btrfs-progs (5.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix an option-parsing crash on btrfs check -E (Closes: #916538).
  * Avoid patching the Makefile.
  * Remove references to btrfs-tools (gone since before Stretch).

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 29 Jul 2019 02:59:05 +0200

btrfs-progs (5.2-1) unstable; urgency=medium

  * New upstream release.
  * Install mkfs.btrfs to /sbin (Nicholas D Steeves; closes: #911623).
  * Fix a printf format-security fatal warning.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 07 Jul 2019 23:33:26 +0200

btrfs-progs (5.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 02 Jul 2019 00:48:16 +0200

btrfs-progs (5.1-1) experimental; urgency=medium

  * New maintainer.  Closes: #924368.
  * New upstream release.
  * Move the VCS to Salsa.
  * Use asciidoctor not asciidoc.  Closes: #895501.
  * Install fsck.btrfs to /sbin not /bin.  Closes: #798072.
  * Always build with ZSTD support.
  * Bring back missing btrfs-convert.  Closes: #870286.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 08 Jun 2019 22:09:44 +0200
