=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: btrfs-progs
 Section: admin
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper (>= 11),
                e2fslibs-dev,
                pkg-config,
@@ -12,23 +13,23 @@
                uuid-dev,
                udev,
                zlib1g-dev,
-               asciidoc,
+               asciidoctor,
                xmlto,
                bash-completion,
 	       python3-dev,
 	       python3-setuptools,
 	       dh-python,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Homepage: http://btrfs.wiki.kernel.org/
-Vcs-Browser: https://browse.dgit.debian.org/btrfs-progs.git
-Vcs-Git: https://git.dgit.debian.org/btrfs-progs
+Vcs-Browser: https://salsa.debian.org/debian/btrfs-progs/tree/debian
+Vcs-Git: https://salsa.debian.org/debian/btrfs-progs.git -b debian
 
 Package: btrfs-progs
 Architecture: linux-any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: btrfs-tools (<< 4.4.1-1)
-Breaks: btrfs-tools (<< 4.4.1-1), btrbk (<= 0.25.0)
-Provides: btrfs-tools
+Breaks: btrbk (<= 0.25.0)
 Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
  Btrfs is a new copy on write filesystem for Linux aimed at implementing
@@ -40,6 +41,7 @@
 
 Package: libbtrfs0
 Architecture: linux-any
+Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: btrfs-progs (<< 4.16.1-1)
@@ -53,6 +55,7 @@
 
 Package: libbtrfs-dev
 Architecture: linux-any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0 (= ${binary:Version})
 Replaces: btrfs-progs (<< 4.16.1-1)
@@ -66,6 +69,7 @@
 
 Package: libbtrfsutil1
 Architecture: linux-any
+Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (runtime util library)
@@ -77,6 +81,7 @@
 
 Package: libbtrfsutil-dev
 Architecture: linux-any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1 (= ${binary:Version})
 Description: Checksumming Copy on Write Filesystem utilities (util development headers)
@@ -88,6 +93,7 @@
 
 Package: python3-btrfsutil
 Architecture: linux-any
+Multi-Arch: same
 Section: python
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (python3 bindings)
@@ -102,5 +108,4 @@
 Section: debian-installer
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Provides: btrfs-tools-udeb
 Description: Checksumming Copy on Write Filesystem utilities (udeb)
